Loading...
Searching...
No Matches
SO4.h File Reference

4*4 matrix representation of SO(4) More...

Go to the source code of this file.

## Classes

struct | gtsam::traits< SO4 >
struct | gtsam::traits< const SO4 >

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

using | gtsam::SO4 = SO<4>

## Functions

GTSAM_EXPORT Matrix3 | gtsam::topLeft (const SO4 &Q, OptionalJacobian< 9, 6 > H=boost::none)
| Project to top-left 3*3 matrix.
GTSAM_EXPORT Matrix43 | gtsam::stiefel (const SO4 &Q, OptionalJacobian< 12, 6 > H=boost::none)
| Project to Stiefel manifold of 4*3 orthonormal 3-frames in R^4, i.e., pi(Q) -> \( S \in St(3,4) \).
template<class Archive>
void | gtsam::serialize (Archive &ar, SO4 &Q, const unsigned int)
| Serialization function.

## Detailed Description

4*4 matrix representation of SO(4)

Author
  Frank Dellaert
  Luca Carlone

Date
  March 2019